#
# spec file for package vcdimager (Version 0.7.23)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vcdimager
BuildRequires:  cdparanoia libcddb-devel libxml2-devel pkgconfig popt-devel
# In automatic build systems, use feature-limited version of libcdio to break build loop.
%if 0%{?opensuse_bs}%{?suse_abuild}
BuildRequires:  libcdio-mini-devel
%else
# Otherwise, build against full version. 
BuildRequires:  libcdio-devel
%endif
Url:            http://www.vcdimager.org/
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Record
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        0.7.23
Release:        120.5
Summary:        Video CD (VCD) authoring software
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-0.7.23-strncat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CDs and Super Video CDs.

The following features are available so far:

Support for Video CD 1.1 and 2.0 disc formats

Support for the Super Video CD 1.0 disc format

Full PBC (playback control) support (play lists, selection lists and
end lists)

Support for segment play items

Automatic padding of MPEG streams on the fly

Support for 99-minute (out-of-specification) CD-R media

Extraction of Video CDs into files (incl. the PBC information)

Use of XML for the description of Video CDs



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package devel
Url:            http://www.vcdimager.org/
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Record
Summary:        Video CD (VCD) authoring software
Requires:       %{name} = %{version} libcdio-devel glibc-devel

%description devel
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CDs and Super Video CDs.

The following features are available so far:

Support for Video CD 1.1 and 2.0 disc formats

Support for the Super Video CD 1.0 disc format

Full PBC (playback control) support (play lists, selection lists and
end lists)

Support for segment play items

Automatic padding of MPEG streams on the fly

Support for 99-minute (out-of-specification) CD-R media

Extraction of Video CDs into files (incl. the PBC information)

Use of XML for the description of Video CDs



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%prep
%setup
%patch -p1

%build
%{?suse_update_config:%{suse_update_config  -f -l}}
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libdir=%{_libdir}\
	--infodir=%{_infodir}\
	--mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README THANKS TODO HACKING
/usr/bin/*
%{_libdir}/*.so.*
%doc /usr/share/info/*.info*
%doc /usr/share/man/man?/*.*

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
/usr/include/*

%changelog
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Sep 11 2007 sbrabec@suse.cz
- Break build loop vcdimager -> libcdio -> vcdimager.
* Tue Mar  6 2007 ckornacker@suse.de
- Code cleanup.
* Fri Jun 30 2006 sbrabec@suse.cz
- Fixed cyclic dependencies in a correct way.
* Thu Jun 22 2006 sbrabec@suse.cz
- Simpler solution of cyclic dependencies.
* Tue Jan 31 2006 sbrabec@suse.cz
- Do not link with invalid rpath.
- Enabled parallel build.
- Fixed devel splitting.
* Thu Jan 26 2006 sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 sbrabec@suse.cz
- Build with libcdio-0.76.
* Fri Aug  5 2005 sbrabec@suse.cz
- Build with libcddb-1.2.1.
* Fri Jul 29 2005 sbrabec@suse.cz
- Updated to version 0.7.23.
* Fri Jun  3 2005 meissner@suse.de
- fixed overflow.
* Mon May 16 2005 sbrabec@suse.cz
- Updated to version 0.7.22.
* Mon May  9 2005 sbrabec@suse.cz
- Build with libcddb-1.0.2.
* Tue Apr 26 2005 sbrabec@suse.cz
- Build with libcdio-0.73 and libcddb-1.0.1.
* Mon Apr 11 2005 sbrabec@suse.cz
- fixed gcc4 compile problem.
* Thu Feb  3 2005 sbrabec@suse.cz
- Build with libcdio-0.72.
* Mon Jan 31 2005 sbrabec@suse.cz
- Build with libcdio-0.72rc2.
* Mon Jan 24 2005 sbrabec@suse.cz
- Updated to version 0.7.21.
* Mon Jan 24 2005 sbrabec@suse.cz
- Ported to libcdio-0.71 API.
* Tue Nov  9 2004 sbrabec@suse.cz
- Updated to version 0.7.20.
- Work-around of circular dependency on libcdio.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Aug 14 2003 sbrabec@suse.cz
- Updated to version 0.7.14.
* Mon Jun 16 2003 coolo@suse.de
- use BuildRoot
- some fixes
* Mon Feb 10 2003 sbrabec@suse.cz
- Updated to version 0.7.12.
* Tue Nov  5 2002 ro@suse.de
- fix configure for libxml2
* Wed Apr 24 2002 uli@suse.de
- added suse_update_config call (fixes x86-64)
* Thu Feb 14 2002 uli@suse.de
- added cdxa2mpeg from contrib (mentioned in docs, bug #13252)
* Wed Dec  5 2001 uli@suse.de
- update -> 0.7.11
  * improved linux cdrom support by adding support for the generic packet
  cdrom interface
  * fixed libxml2 external entity loader
  * fixed minor subheader bug
  * be more tolerant when vcdxrip'ing faulty PBCs
  * new "leadout pregap" option
  * added 3 "-no*" options to vcdxrip
* Thu Aug 30 2001 uli@suse.de
- update -> 0.7.10
  * vcdxrip: new option for ignoring (faulty) extended pbc's
  * gui mode added to vcdxbuild, vcdxminfo and vcdxrip
  * progress display added to vcdxbuild and vcdxminfo
  * rewrite/improvement of MPEG scanning code (detect audio parameters)
  * new option "svcd vcd30 tracksvd"
  * implemented setting of <publisher-id>
* Thu Aug  2 2001 uli@suse.de
- update -> 0.7.9
- fixed for IA64
* Thu Jul 12 2001 uli@suse.de
- initial package
